import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/tmerclub_admin/ma/hotQuery/page',
    method: 'get',
    params: pageParam
  })
}

export function get (hotSearchId) {
  return request({
    url: '/tmerclub_admin/ma/hotQuery',
    method: 'get',
    params: {
      hotSearchId
    }
  })
}

export function save (data) {
  return request({
    url: '/tmerclub_admin/ma/hotQuery',
    method: 'post',
    data
  })
}

export function update (data) {
  return request({
    url: '/tmerclub_admin/ma/hotQuery',
    method: 'put',
    data
  })
}

export function deleteById (hotSearchId) {
  return request({
    url: '/tmerclub_admin/ma/hotQuery',
    method: 'delete',
    params: {
      hotSearchId
    }
  })
}
